% =============================================================================
%
% LinManual.m CBPrice 24-10-15
%
% Octave test file for 3302 NL Curve Fitting
%
% Manual Fit of y = A*x + B from source file.
%
% =============================================================================

filename = input('Input filename'); %must add ' at start and end of name tuped.
delimiterIn = ',';
headerlinesIn = 0;
A = importdata(filename,delimiterIn,headerlinesIn); 

x = A(:,1);
y = A(:,2);

% Plot the raw data
figure(1);
plot(x,y,'o');


% get parameters from the user and plot the exponential curve on the data 
while (i < 10)

  A = input('Input parameter A');
  B = input('Input parameter B');
  yy = A*x + B;
  
  figure(1);
  plot(x,y,'o',x,yy,'r');

  
endwhile


